package com.palmnest.application.bean;

/**
 * 响应app客户端 封装的通用DTO
 *
 * @author yubing
 * @since 2014-9-10
 */
public class ReturnObject {

	private String result;        //处理结果 0-成功，1-失败
	private String resultCode;    //错误编码
	private String resultDesc;    //描述
	private Object returnDTO;  // 返回工作任务对象

	public ReturnObject() {
	}

	public ReturnObject(String result, String resultCode, String resultDesc) {
		this.result = result;
		this.resultCode = resultCode;
		this.resultDesc = resultDesc;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getResultCode() {
		return resultCode;
	}

	public void setResultCode(String resultCode) {
		this.resultCode = resultCode;
	}

	public String getResultDesc() {
		return resultDesc;
	}

	public void setResultDesc(String resultDesc) {
		this.resultDesc = resultDesc;
	}

	public Object getReturnDTO() {
		return returnDTO;
	}

	public void setReturnDTO(Object returnDTO) {
		this.returnDTO = returnDTO;
	}

}
